## postpone 0.2

=== Makefile ===
CC = gcc
CFLAGS = -g -Wall -Werror -O2
PREFIX = /usr/local
BINDIR = bin
MANDIR = share/man/man1

postpone: postpone.o

postpone.txt: postpone.1
	man -l $< > $@

install: postpone
	install -d $(DESTDIR)$(PREFIX)/$(BINDIR) $(DESTDIR)$(PREFIX)/$(MANDIR)
	install postpone $(DESTDIR)$(PREFIX)/$(BINDIR)
	install -m644 postpone.1 $(DESTDIR)$(PREFIX)/$(MANDIR)

clean:
	rm -f postpone postpone.o postpone.txt

## postpone 0.1

=== debian/changelog ===
postpone (0.1) unstable; urgency=low

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jun 2007 21:49:30 +0200

=== debian/control ===
Source: postpone
Section: utils
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2

Package: postpone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: schedules commands to be executed later
 Postpone schedules a command to be executed later when a lockfile disappears.
 Intended usage is when a command is executed possibly multiple times, but
 running once is sufficient. This happens in maintainer scripts of Debian
 packages, for example, TeX packages need to rebuild several indices.

=== debian/rules ===
#!/usr/bin/make -f

build-indep:
build build-arch: build-stamp
build-stamp:
	$(MAKE)
	touch $@

binary-indep:
binary binary-arch: build-stamp
	dh_testroot
	dh_clean -k
	-mkdir debian/postpone
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/postpone
	
	dh_installchangelogs
	dh_installdocs
	dh_compress
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb

clean:
	-$(MAKE) clean
	dh_clean build-stamp

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean

## postpone 0.2

=== debian/changelog ===
postpone (0.2) unstable; urgency=low

  * Remove unused variable. Closes: #625421.

 -- Christoph Berg <myon@debian.org>  Sun, 10 Jul 2011 22:34:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>> 5)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.2
+Vcs-Browser: http://svn.df7cb.de/debian/postpone/trunk/
+Vcs-Svn: svn+ssh://svn.df7cb.de/debian/postpone/trunk/
 
 Package: postpone
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

build-indep:
build build-arch: build-stamp
build-stamp:
	$(MAKE)
	touch $@

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/postpone

binary-indep:
binary binary-arch: build-stamp
	dh_prep
	dh $@

clean:
	$(MAKE) clean
	dh_clean build-stamp

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean
